%define name beagle
%define version 0.0.1
%define release 3mdk

Summary: GNOME indexing subsystem
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/beagle/%{name}-%{version}.tar.bz2
License: MIT/Apache License
Group: Graphical desktop/GNOME
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gnome-sharp-devel
BuildRequires: epiphany-devel
Requires: gnome-sharp

%description
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. It can index your files, mailboxes, your web browsing
behaviour and other things.

%package epiphany
Summary: Beagle indexing plugin for the epiphany browser
Group: Networking/WWW
Requires: epiphany
Requires: %name = %version-%release
%description epiphany
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 

Install this package if you want Beagle to index your web surfing behaviour.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/epiphany/extensions/libbeagleextension*a

mkdir -p %buildroot%_menudir/
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/beagle-query" \
	needs="X11" \
	section="System/File tools" \
	startup_notify="true" \
	title="Beagle Search" \
	longtitle="Search your data"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README NEWS AUTHORS
#ChangeLog 
%_bindir/beagle-extract-content
%_bindir/beagle-index-files
%_bindir/beagle-index-gaim-logs
%_bindir/beagle-index-mail
%_bindir/beagle-index-rss
%_bindir/beagle-query
%_bindir/beagle-update-index
%_bindir/best
%_bindir/searchomatic
%_libdir/%name
%_libdir/pkgconfig/beagle*.pc
%_menudir/%name

%files epiphany
%defattr(-,root,root)
%doc README
%_bindir/beagle-epiphany-index
%_libdir/epiphany/extensions/*.so*
%changelog
* Wed Jul 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-3mdk
- fix menu

* Fri Jun 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-2mdk
- move beagle-epiphany-index to the epiphany package
- add menu entry

* Fri Jun 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-1mdk
- initial package
